Bug 1734906 - The notification messages from an Embedded Ansible action refer to "Ansible Automation Inside"
Summary: The notification messages from an Embedded Ansible action refer to "Ansible A...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.11.0
Assignee: Peter McGowan
QA Contact: Satyajit Bulage
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 16:38 UTC by Peter McGowan
Modified: 2020-01-23 14:38 UTC (History)
6 users (show)

Fixed In Version: 5.11.0.18
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 14:57:42 UTC
Category: Bug
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)

Description Peter McGowan 2019-07-31 16:38:30 UTC
Description of problem:
Notification messages from Embedded Ansible refer to "Ansible Automation Inside" rather than "Embedded Ansible", for example:

"The operation Ansible Automation Inside Project syncing () on EMS(manager_id=1) completed successfully."

This is confusing as "Ansible Automation Inside" isn't mentioned anywhere else in the product. For example the server role is called "Embedded Ansible" and all other internal references (for example in logs) also mention this, for example "ManageIQ::Providers::EmbeddedAnsible::AutomationManager"

Version-Release number of selected component (if applicable):
5.11.0.17

How reproducible:
Every time

Steps to Reproduce:
1. Enable the Embedded Ansible server role
2. Add a repository
3. Observe the notification

Actual results:
The notification mentions "Ansible Automation Inside"

Expected results:
The notification should mention "Embedded Ansible" for consistency

Additional info:

Comment 2 Peter McGowan 2019-07-31 17:06:23 UTC
Implemented with https://github.com/ManageIQ/manageiq/pull/19081

Comment 3 CFME Bot 2019-08-02 16:01:04 UTC
New commit detected on ManageIQ/manageiq/ivanchuk:

https://github.com/ManageIQ/manageiq/commit/35cc0bebc2a8a3dacd66b828f2db84c244b8887d
commit 35cc0bebc2a8a3dacd66b828f2db84c244b8887d
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Aug  2 09:48:02 2019 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Fri Aug  2 09:48:02 2019 -0400

    Merge pull request #19081 from pemcg/standardise_embedded_ansible_naming

    Re-worded "Ansible Automation Inside" to "Embedded Ansible" for standardisation

    (cherry picked from commit 400b3a36266c634a4154b2d8ad48557189622825)

    https://bugzilla.redhat.com/show_bug.cgi?id=1734906

 app/models/manageiq/providers/embedded_ansible/automation_manager/configuration_script.rb | 2 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/configuration_script_source.rb | 2 +-
 app/models/manageiq/providers/embedded_ansible/automation_manager/credential.rb | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Comment 6 Satyajit Bulage 2019-09-06 15:14:41 UTC
As per comment 4 and comment 5 verifying this BZ.

Verified version: 5.11.0.23.20190904213640_d113674


Note You need to log in before you can comment on or make changes to this bug.